Appearance
Search Content Threads
GET/public/research/threads/content/searchSearch public content on Threads based on a keyword or phrase. Useful for discovery, analysis, or engagement purposes.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Gold+
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
accountId | string | Yes | The connected Threads account ID. |
search | string | Yes | Keyword or phrase to search for. |
sort | string | No | Sort order for search results. Options: TOP, RECENT. Default: TOP. |
mode | string | No | Search matching mode. Options: KEYWORD (search by keyword), TAG (search by topic tag). Default: KEYWORD. |
type | string | No | Filter content by media type. Options: TEXT, IMAGE, VIDEO. |
since | number | No | Unix timestamp (in seconds) for start date filter (must be used together with until). |
until | number | No | Unix timestamp (in seconds) for end date filter (must be used together with since). |
username | string | No | Filter posts by author's Threads username (e.g. replizofficial). |
nextToken | string | No | Pagination cursor returned from the previous response. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/research/threads/content/search?accountId=680affa5ce12f2f72916f67e&search=Video&sort=TOP&mode=KEYWORD&type=TEXT" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from 'axios';
const response = await axios.get(
'https://api.repliz.com/public/research/threads/content/search',
{
params: {
accountId: '680affa5ce12f2f72916f67e',
search: 'Video',
sort: 'TOP',
mode: 'KEYWORD',
type: 'TEXT',
},
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY',
},
},
);
console.log(response.data);javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const params = new URLSearchParams({
accountId: '680affa5ce12f2f72916f67e',
search: 'Video',
sort: 'TOP',
mode: 'KEYWORD',
type: 'TEXT',
});
const response = await fetch(
`https://api.repliz.com/public/research/threads/content/search?${params.toString()}`,
{
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);Response
json
{
"docs": [
{
"id": "17978975645952848",
"title": "",
"description": "Hello",
"type": "text",
"owner": {
"id": "9649353151817077",
"name": "Bayu Anjani",
"picture": "https://scontent.cdninstagram.com/v/t51.2885-19/491422881_10121455642157..."
},
"medias": [],
"url": "https://www.threads.com/@bayu_anjani_megumin/post/DTF6qjcEshy",
"createdAt": "2026-01-04T14:40:18.000Z"
}
],
"nextToken": ""
}json
{
"code": 404,
"message": "account not found"
}json
{
"code": 401,
"message": "unauthorized"
}